/* This file is part of IPACCT
   Copyright (c) Sergey Poznyakoff

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
 
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. *//* $Id: cons_ether.c,v 1.1.1.1 2001/05/31 13:40:56 gray Exp $ */
#if defined(HAVE_CONFIG_H)
# include <config.h>
#endif
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include "ipacct.h"

void
cons_ether_init()
{
}

void
cons_ether_packet(user, h, p)
	u_char         *user;
	const struct pcap_pkthdr *h;
	const u_char         *p;
{
	struct ether_header ep;
	u_short ether_type;
	int caplen = h->caplen;
	int length = h->len;

	if (p && caplen > 0) {
		if (caplen < sizeof(ep)) {
			warning("caplen < sizeof(struct ether_header): caplen = %d, length = %d", caplen, length);		
			return;
		}
		bcopy ((char *) p, (char *) &ep, sizeof (ep));
		
		if (ether_type = ntohs(ep.ether_type)) {
			length -= sizeof(struct ether_header);
			total_bytes += length;
			switch (ether_type) {
			case ETHERTYPE_IP:
				ip_handler(p + sizeof(ep), length);
				break;
			default:
				break;
			}
		}
	}
}



